VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Object = "{96C384D8-E44F-11D1-8F14-444553540000}#4.0#0"; "Desktools.ocx"
Begin VB.Form drdesk 
   Caption         =   "Mr. Wonka's Desktools Active X Component Example"
   ClientHeight    =   4380
   ClientLeft      =   45
   ClientTop       =   270
   ClientWidth     =   8505
   LinkTopic       =   "Form1"
   ScaleHeight     =   4380
   ScaleWidth      =   8505
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Caption         =   "Desktools.ocx"
      Height          =   6615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   9255
      Begin Project1.desktools desktools1 
         Left            =   4560
         Top             =   480
         _ExtentX        =   714
         _ExtentY        =   741
      End
      Begin VB.CommandButton Command1 
         Caption         =   "GetHeight"
         Height          =   492
         Left            =   240
         TabIndex        =   8
         Top             =   360
         Width           =   1332
      End
      Begin VB.CommandButton Command2 
         Caption         =   "GetDepth"
         Height          =   492
         Left            =   240
         TabIndex        =   7
         Top             =   1560
         Width           =   1332
      End
      Begin VB.CommandButton Command3 
         Caption         =   "GetWidth"
         Height          =   492
         Left            =   240
         TabIndex        =   6
         Top             =   960
         Width           =   1332
      End
      Begin VB.CommandButton Command4 
         Caption         =   "GetOleScreenSnapshot"
         Height          =   495
         Left            =   240
         TabIndex        =   5
         Top             =   3960
         Width           =   2775
      End
      Begin VB.CommandButton Command5 
         Caption         =   "Set Bmp as wallpaper"
         Height          =   495
         Left            =   240
         TabIndex        =   4
         Top             =   4560
         Width           =   2775
      End
      Begin VB.CommandButton Command6 
         Caption         =   "Change Resolution (800 X 600)"
         Height          =   492
         Left            =   240
         TabIndex        =   3
         Top             =   2160
         Width           =   2772
      End
      Begin VB.CommandButton Command7 
         Caption         =   "Change Resolution (640 X 480)"
         Height          =   492
         Left            =   240
         TabIndex        =   2
         Top             =   2760
         Width           =   2772
      End
      Begin VB.CommandButton Command8 
         Caption         =   "Arrange Desktop Icons"
         Height          =   492
         Left            =   240
         TabIndex        =   1
         Top             =   3360
         Width           =   2772
      End
      Begin MSComDlg.CommonDialog CommonDialog1 
         Left            =   5760
         Top             =   1800
         _ExtentX        =   688
         _ExtentY        =   688
         _Version        =   327680
      End
      Begin VB.Label Label1 
         Height          =   252
         Left            =   1920
         TabIndex        =   11
         Top             =   480
         Width           =   1092
      End
      Begin VB.Label Label2 
         Height          =   252
         Left            =   1920
         TabIndex        =   10
         Top             =   1680
         Width           =   1092
      End
      Begin VB.Label Label3 
         Height          =   252
         Left            =   1920
         TabIndex        =   9
         Top             =   1080
         Width           =   1092
      End
      Begin VB.Image Image1 
         BorderStyle     =   1  'Fixed Single
         Height          =   6255
         Left            =   3120
         Stretch         =   -1  'True
         Top             =   240
         Width           =   6015
      End
   End
End
Attribute VB_Name = "drdesk"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' This source code illustrates how to use Mr. Wonka's Desktools, an active x component written in
'  Visual Basic 5.0 . Portions of the control were made with the aid the VBNET Tutorials by Randy Birch. Thanks Randy
Dim newfile As String 'initialize a string to hold a filename
'Special Thanks to Randy Birch at VBNet,for his articles and tutorials online
Private Sub Command1_Click()
'set the caption of label to the return value of desktools1.GetHeight method'
Label1.Caption = desktools1.GetHeight
' this can also be achieved by reading the return value into an integer
   '' dim x as integer
   '' x = desktools1.GetHeight
End Sub

Private Sub Command2_Click()
'set the caption of label to the return value of desktools1.GetDepth method'
Label2.Caption = desktools1.GetDepth
'you can also set the return value to a variable
  '' dim ScreenDepth as long
  '' ScreenDepth = desktools1.GetDepth
End Sub

Private Sub Command3_Click()
'set the caption of label to the return value of desktools1.GetWidth method'
Label3.Caption = desktools1.GetWidth
' this can also be achieved by reading the return value into an integer
   '' dim x as integer
   '' x = desktools1.GetWidth
End Sub

Private Sub Command4_Click()
'capture the screen and paste it into our image control
Set Image1.Picture = desktools1.GetOLEScreenSnapshot
' This method Captures the users screen and puts the image into the image box control
' as well as places a copy on the clipboard. This method can be used on picturebox controls and image controls

' Invoke SaveAs method to save the bitmap of your screen
 CommonDialog1.Filter = "Bitmap Files (*.bmp)|*.bmp|"
 CommonDialog1.ShowSave
 
 
 newfile = CommonDialog1.filename ' set newfile to the user selected filename from our SaveAs method
 SavePicture Image1, newfile ' save our image
 
 
Command5.Enabled = True
End Sub

Private Sub Command5_Click()
'change windows95 desktop wallpaper to our recently captured image with the desktools1.changepaper method
desktools1.ChangePaper newfile
Command5.Enabled = False ' disable the wallpaper button
End Sub

Private Sub Command6_Click()
desktools1.ChangeRes 800, 600
'changes the screen resolution to 800 x 600
End Sub

Private Sub Command7_Click()
desktools1.ChangeRes 640, 480
'changes the screen resolution to 640 x 480
End Sub

Private Sub Command8_Click()
desktools1.ArrangeDesktopIcons
' this will set the users desktop icon to the left of the screen and arrange them
End Sub



Private Sub Form_Load()
Me.WindowState = 2
' restrict our user from setting the wallpaper until the an OleScreenSnapshot has been taken
Command5.Enabled = False
End Sub

